Page MenuHomePhabricator

Make UI use wbsetclaim API for Form Statements
Closed, ResolvedPublic

Description

Use StatementChanger in ControllerViewfactory for Form Statements

Related Objects

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 23 2017, 4:09 PM

Change 393093 had a related patch set uploaded (by Jonas Kress (WMDE); owner: Jonas Kress (WMDE)):
[mediawiki/extensions/WikibaseLexeme@master] Use StatementChanger in ControllerViewfactory for Form Statements

https://gerrit.wikimedia.org/r/393093

Change 397837 had a related patch set (by WMDE-leszek) published:
[mediawiki/extensions/WikibaseLexeme@master] Return the revision ID after adding form with wblexemeaddform API

https://gerrit.wikimedia.org/r/397837

Change 398068 had a related patch set uploaded (by Thiemo Mättig (WMDE); owner: Thiemo Mättig (WMDE)):
[mediawiki/extensions/Wikibase@master] Teach wb.RevisionStore.js to deal with (sub-)entities

https://gerrit.wikimedia.org/r/398068

Change 398070 had a related patch set uploaded (by Thiemo Mättig (WMDE); owner: Thiemo Mättig (WMDE)):
[mediawiki/extensions/WikibaseLexeme@master] Update lastrevid after adding a new Form

https://gerrit.wikimedia.org/r/398070

Change 398496 had a related patch set uploaded (by WMDE-leszek; owner: WMDE-leszek):
[mediawiki/extensions/WikibaseLexeme@master] Adapt JS statement revision data to allow saving statement on forms

https://gerrit.wikimedia.org/r/398496

Change 397838 abandoned by WMDE-leszek:
Update the base revision after saving a form with a FormChanger

https://gerrit.wikimedia.org/r/397838

WMDE-leszek renamed this task from Make UI use wbsetclaim API for Form Statements to Make UI use wbsetclaim API for Form Statements (days: 1).Dec 18 2017, 11:19 AM

Change 398844 had a related patch set uploaded (by WMDE-leszek; owner: WMDE-leszek):
[mediawiki/extensions/WikibaseLexeme@master] Deserialize form-level statement data

https://gerrit.wikimedia.org/r/398844

WMDE-leszek renamed this task from Make UI use wbsetclaim API for Form Statements (days: 1) to Make UI use wbsetclaim API for Form Statements (days: 2).Dec 19 2017, 11:45 AM
WMDE-leszek renamed this task from Make UI use wbsetclaim API for Form Statements (days: 2) to Make UI use wbsetclaim API for Form Statements.Dec 19 2017, 2:26 PM
WMDE-leszek moved this task from Backlog to Review on the Wikidata-Sprint-2017-12-20 board.
WMDE-leszek removed WMDE-leszek as the assignee of this task.Dec 19 2017, 3:18 PM
WMDE-leszek added a subscriber: WMDE-leszek.

Change 398844 merged by jenkins-bot:
[mediawiki/extensions/WikibaseLexeme@master] Deserialize form-level statement data

https://gerrit.wikimedia.org/r/398844

Change 399197 had a related patch set uploaded (by Thiemo Kreuz (WMDE); owner: Thiemo Kreuz (WMDE)):
[mediawiki/extensions/WikibaseLexeme@master] Refactor response code in AddForm for readability/clarity

https://gerrit.wikimedia.org/r/399197

Change 397837 merged by jenkins-bot:
[mediawiki/extensions/WikibaseLexeme@master] Return the revision ID after adding form with wblexemeaddform API

https://gerrit.wikimedia.org/r/397837

Change 397797 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Expose JS RevisionStore to custom Changers registered by extension

https://gerrit.wikimedia.org/r/397797

Change 398496 merged by jenkins-bot:
[mediawiki/extensions/WikibaseLexeme@master] Adapt JS statement revision data to allow saving statement on forms

https://gerrit.wikimedia.org/r/398496

Change 398805 merged by jenkins-bot:
[mediawiki/extensions/WikibaseLexeme@master] Set the form revision data after saving a form with a FormChanger

https://gerrit.wikimedia.org/r/398805

Change 393093 merged by jenkins-bot:
[mediawiki/extensions/WikibaseLexeme@master] Use StatementChanger in ControllerViewfactory for Form Statements

https://gerrit.wikimedia.org/r/393093

WMDE-leszek closed this task as Resolved.Jan 2 2018, 2:30 PM

Change 398068 abandoned by Thiemo Kreuz (WMDE):
Teach wb.RevisionStore.js to deal with (sub-)entities

https://gerrit.wikimedia.org/r/398068

Change 398070 abandoned by Thiemo Kreuz (WMDE):
Update lastrevid after adding a new Form

Reason:
I resubmitted the documentation snippets as I55c3cb0.

https://gerrit.wikimedia.org/r/398070

Change 399197 merged by jenkins-bot:
[mediawiki/extensions/WikibaseLexeme@master] Refactor response code in AddForm for readability/clarity

https://gerrit.wikimedia.org/r/399197